﻿@using Microsoft.AspNet.Identity
@using Ogame.Models

@if (Request.IsAuthenticated)
{
    using (Html.BeginForm("LogOff", "Account", FormMethod.Post, new { id = "logoutForm", @class = "navbar-right" }))
    {
    @Html.AntiForgeryToken()

<ul class="nav navbar-nav navbar-right">
    @if (User.IsInRole(AccountRoles.ROLE_ADMIN))
    {
        <li class="nav-item dropdown">
            <a class="nav-link dropdown-toggle" href="#" id="navbarDropdown" role="button" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                Entities
            </a>
            <ul class="dropdown-menu" aria-labelledby="DB Manager">
                <li class="dropdown-item">@Html.ActionLink("Roles", "Index", "Role", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("Users", "Index", "Role", new { area = "" }, null)</li>
                <li role="separator" class="divider"></li>
                <li class="dropdown-item">@Html.ActionLink("Players", "Index", "Players", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("Planets", "Index", "Planets", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("Resources", "Index", "Resources", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("Levels", "Index", "Levels", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("Units", "Index", "Units", new { area = "" }, null)</li>
                <li role="separator" class="divider"></li>
                <li class="dropdown-item">@Html.ActionLink("BattleShips", "Index", "BattleShips", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("TransportShips", "Index", "TransportShips", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("Fleets", "Index", "Fleets", new { area = "" }, null)</li>
                <li role="separator" class="divider"></li>
                <li class="dropdown-item">@Html.ActionLink("CraftingBuildings", "Index", "CraftingBuildings", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("SearchBuildings", "Index", "SearchBuildings", new { area = "" }, null)</li>
                <li class="dropdown-item">@Html.ActionLink("HarvestBuildings", "Index", "HarvestBuildings", new { area = "" }, null)</li>
            </ul>
        </li>
        }

        <li>
            @Html.ActionLink("Hello " + User.Identity.GetUserName() + "!", "Index", "Manage", routeValues: null, htmlAttributes: new { title = "Manage" })
        </li>
        <li><a href="javascript:document.getElementById('logoutForm').submit()">Log off</a></li>
    </ul>
    }
}
else
{
    <ul class="nav navbar-nav navbar-right">
        <li>@Html.ActionLink("Register", "Register", "Account", routeValues: null, htmlAttributes: new { id = "registerLink" })</li>
        <li>@Html.ActionLink("Log in", "Login", "Account", routeValues: null, htmlAttributes: new { id = "loginLink" })</li>
    </ul>
}
